<ui:composition xmlns:h="http://java.sun.com/jsf/html" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:g="http://www.ihe.net/gazelle" xmlns:f="http://java.sun.com/jsf/core"
                xmlns:rich="http://richfaces.org/rich" xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns:a4j="http://richfaces.org/a4j" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns="http://www.w3.org/1999/xhtml" template="/layout/template.xhtml">

    <ui:param name="pageName" value="Gazelle Identity Provider Simulator"/>
    <ui:param name="pageNameUrl" value="/idp.seam"/>
    <ui:param name="pageNameTitle" value="Identity Provider Simulator"/>

    <ui:define name="body">

        <ui:decorate template="/layout/panels/_panel_title.xhtml">

            <ui:define name="panel_title">
                <h:outputText value="Configure information for the IDP Simulator"/>
            </ui:define>

            <p><h:outputText
                    value="The Gazelle Identity Provider Simulator can be used to verify X-Service User implementations by responding to authentication requests."/>
            </p>
            <p>
                <h:outputText
                        value="The list below provides the different link to the IdP simulator end points. The Idp simulator offers support for OASIS SAML Web Browser SSO profile over HTTP Post binding, and Artifact resolution profile over Artifact and SOAP Binding."/>
            </p>

            <dl class="dl-horizontal">
                <ui:decorate template="/layout/display/_data_list_item.xhtml">
                    <ui:define name="label">IdP entityID</ui:define>
                    <h:outputText value="#{simulatorPreferenceProvider.getString('idp_entity_id')}"/>
                </ui:decorate>
                <ui:decorate template="/layout/display/_data_list_item.xhtml">
                    <ui:define name="label">IdP metadata</ui:define>
                    <h:outputLink
                            value="#{simulatorPreferenceProvider.getString('idp_metadata')}">
                        <h:outputText value="#{simulatorPreferenceProvider.getString('idp_metadata')}"/>
                    </h:outputLink>
                </ui:decorate>
                <ui:decorate template="/layout/display/_data_list_item.xhtml">
                    <ui:define name="label">Authentification request</ui:define>
                    <h:outputText value="#{simulatorPreferenceProvider.getString('authentification_request')}"/>
                </ui:decorate>
                <ui:decorate template="/layout/display/_data_list_item.xhtml">
                    <ui:define name="label">Artifact resolution</ui:define>
                    <h:outputText value="#{simulatorPreferenceProvider.getString('artifact_resolution')}"/>
                </ui:decorate>
            </dl>
            <p>
                <h:outputText
                        value="X-Service Users need to be declared in the IdP Simulator to be allowed to connect with. IdP Simulator is using standard SAML Metadata descriptor. Please register your service by sending your metadata to Malo (mtc at kereval dot com) or Cédric (cel at kereval dot com)."/>
            </p>
            <p>
                <h:outputText value="Some test patients are pre-configured for IdP authentication. Please see the list "/>
                <h:outputLink
                        value="#{simulatorPreferenceProvider.getString('application_url')}/home.seam">
                    <h:outputText value="here."/>
                </h:outputLink>
            </p>
        </ui:decorate>

        <ui:decorate template="/authenticationAttemptLogs.xhtml">

            <ui:param name="simuView" value="#{idpSimuView}"/>

            <ui:define name="additionalFilters">
                <div class="row">
                    <div class="col-lg-6">
                        <ui:include src="/filter/filter.xhtml">
                            <ui:param name="filter" value="#{simuView.authenticationAttempts.filter}"/>
                            <ui:param name="filterId" value="serviceProviderName"/>
                            <ui:param name="filterName" value=" XUA X-Service User"/>
                            <ui:param name="filterForm" value="authenticationAttemptLogsForm"/>
                        </ui:include>
                    </div>
                </div>
            </ui:define>

            <ui:define name="additionalColumns">
                <g:column sortBy="#{'location'}">
                    <ui:define name="header">
                        <h:outputText value="IDP Location"/>
                    </ui:define>
                    <h:outputText value="#{data.location}"/>
                </g:column>
                <g:column sortBy="#{'serviceProviderName'}">
                    <ui:define name="header">
                        <h:outputText value="XUA X-Service User"/>
                    </ui:define>
                    <h:outputText value="#{data.serviceProviderName}"/>
                </g:column>
            </ui:define>

        </ui:decorate>
    </ui:define>
</ui:composition>
